__gnu_pbds::detail::rb_tree_node_< Value_Type, Metadata, _Alloc > Struct Template Reference

## Public Types

typedef _Alloc::template rebind< metadata_type > ::other::const_reference | metadata_const_reference
typedef _Alloc::template rebind< metadata_type > ::other::reference | metadata_reference
typedef Metadata | metadata_type
typedef _Alloc::template rebind< rb_tree_node_ < Value_Type, Metadata, _Alloc > >::other::pointer | node_pointer
typedef Value_Type | value_type

## Public Member Functions

metadata_const_reference | get_metadata () const
metadata_reference | get_metadata ()
bool | special () const

## Public Attributes

metadata_type | m_metadata
node_pointer | m_p_left
node_pointer | m_p_parent
node_pointer | m_p_right
bool | m_red
value_type | m_value

## Detailed Description

### template<typename Value_Type, class Metadata, typename _Alloc>
struct __gnu_pbds::detail::rb_tree_node_< Value_Type, Metadata, _Alloc >

Node for Red-Black trees.

Definition at line 52 of file rb_tree_map_/node.hpp.

The documentation for this struct was generated from the following file:

- rb_tree_map_/node.hpp